net.sf.jasperreports.charts

## Interface JRTimeSeries

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable
  All Known Implementing Classes:
    JRBaseTimeSeries, JRDesignTimeSeries, JRFillTimeSeries

      public interface JRTimeSeries
      extends JRCloneable

  Represents the series for the Time Series dataset.
  Version:
    $Id: JRTimeSeries.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `JRExpression` | `getLabelExpression()`
    `JRExpression` | `getSeriesExpression()`
    `JRExpression` | `getTimePeriodExpression()`
    `JRExpression` | `getValueExpression()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getSeriesExpression

          JRExpression getSeriesExpression()

      Returns:
        a `java.lang.Comparable` object representing the expression of the series name. Specifies the series to which to add the current value pair when incrementing the dataset.

    - #### getTimePeriodExpression

          JRExpression getTimePeriodExpression()

      Returns:
        a `java.util.Date` expression from which the engine will extract the corresponding time period depending on the value set for the `timePeriod` attribute.
      See Also:
        `JRTimeSeriesDataset.getTimePeriod()`

    - #### getValueExpression

          JRExpression getValueExpression()

      Returns:
        a numeric expression representing the value to associate with the corresponding time period value when incrementing the current series of the dataset.

    - #### getLabelExpression

          JRExpression getLabelExpression()

      Returns:
        the label expression. If present, it helps customize the item labels inside charts.

    - #### getItemHyperlink

          JRHyperlink getItemHyperlink()

      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

      Returns:
        hyperlink specification for chart items

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com